#

API Docs for: 1.4.0
Show: Inherited Protected Private Deprecated

# Ellipse Class

Defined in: `src/pixi/core/Ellipse.js:5`
Module: PIXI

The Ellipse object can be used to specify a hit area for displayobjects

## Constructor

### `Ellipse`

(

- `x`
- `y`
- `width`
- `height`

)

Defined in `src/pixi/core/Ellipse.js:5`

#### Parameters:

- `x` Number

  The X coord of the upper-left corner of the framing rectangle of this ellipse

- `y` Number

  The Y coord of the upper-left corner of the framing rectangle of this ellipse

- `width` Number

  The overall width of this ellipse

- `height` Number

  The overall height of this ellipse

- Index
- Methods
- Properties

## Item Index

### Methods

- clone
- contains

### Properties

- height
- width
- x
- y

## Methods

### `clone`

() Ellipse

Defined in `src/pixi/core/Ellipse.js:46`

Creates a clone of this Ellipse instance

#### Returns:

Ellipse:

a copy of the ellipse

### `contains`

(

- `x`
- `y`

)
Boolean

Defined in `src/pixi/core/Ellipse.js:57`

Checks if the x, and y coords passed to this function are contained within this ellipse

#### Parameters:

- `x` Number

  The X coord of the point to test

- `y` Number

  The Y coord of the point to test

#### Returns:

Boolean:

if the x/y coords are within this ellipse

## Properties

### `height`

Number

Defined in `src/pixi/core/Ellipse.js:38`

Default: 0

### `width`

Number

Defined in `src/pixi/core/Ellipse.js:31`

Default: 0

### `x`

Number

Defined in `src/pixi/core/Ellipse.js:17`

Default: 0

### `y`

Number

Defined in `src/pixi/core/Ellipse.js:24`

Default: 0